<table width="950" border="0" align="center">

  <tr>

    <td>

    <p align="left" class="style10">INVENTARIO DE PRODUCTOS INCONTABLES 
    <HR color="#CCCCCC" size="1" noshade="noshade"></p>

	  <form id="form1" name="form1" method="post" action="svinventarioincontables.php">

	    <p align="center" class="style7">Listado de Productos</p>

<?php
echo "<table align='center' cellpadding='2' class='tablaBordes' width='100%'>";
echo "<tr class='tablaCabecera' align='center'>";

echo "<td>";
echo "CLAVE";
echo "</td>";

echo "<td>";
echo "Nombre";
echo "</td>";

/*echo "<td class='style4'>";
echo "Descripci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Clasificaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "M&iacute;nimo";
echo "</td>";
*/

echo "<td>";
echo "Presentaci&oacute;n<br>Entrega";
echo "</td>";

echo "<td>";
echo "Presentaci&oacute;n<br>Incontable";
echo "</td>";

/*
echo "<td class='style4'>";
echo "Costo unidad";
echo "</td>";
*/

echo "<td>";
echo "Existencia Actual";
echo "</td>";

echo "<td>";
echo "Nueva Existencia";
echo "</td>";

echo "</tr>";
include ("conexion.php");

			$query="SELECT clave,nombre,descripcion,costounidad,minimo FROM productos WHERE clasificacion='Incontables' or clasificacion='Materiales de impresion' or clasificacion='Liquidos - polvos' ORDER BY nombre";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))

			{

				echo "<tr class='tablaBordes'>";
				//clave
				echo "<td class='style1'>";
				echo $fila[0];
				echo "</td>";

				//nombre
				echo "<td class='style1'>";
				echo utf8_encode($fila[1]);
				echo "</td>";

				/*
				//descripcion
				echo "<td class='style1'>";
				echo $fila[2];
				echo "</td>";
				*/

				//CLASIFICACION
				/*
				$cons5="SELECT clasificacion FROM  productos WHERE clave='".$fila[0]."'";
				$res5=mysql_query($cons5,$conex) or die ("No consulto clasificacion");
				$clasificacion=mysql_result($res5,0,'clasificacion');

				$selected1="";
				$selected2="";
				$selected3="";
				$selected4="";
				$selected5="";

				if ($clasificacion == "Contables fijos")
				{
					$selected1="selected";
				}
				if ($clasificacion == "Contables variables")
				{
					$selected2="selected";
				}
				if ($clasificacion == "Incontables")
				{
					$selected3="selected";
				}
				if ($clasificacion == "Liquidos - polvos")
				{
					$selected4="selected";
				}
				if ($clasificacion == "Materiales de impresion")
				{
					$selected5="selected";
				}

				echo "<td class='style1'>";
					echo "<select name='clasificacion[]' class='cuadrotexto' id='clasificacion'>";
						if ($clasificacion =='')
						{
							echo "<option value='Selecciona' selected='selected'>Selecciona</option>";
						}
						echo "<option value='Contables fijos' ".$selected1.">Contables fijos</option>";
						echo "<option value='Contables variables' ".$selected2.">Contables variables</option>";
						echo "<option value='Incontables' ".$selected3.">Incontables</option>";
						echo "<option value='Liquidos - polvos' ".$selected4.">Liquidos - polvos</option>";
						echo "<option value='Materiales de impresion' ".$selected5.">Materiales de impresion</option>";
					echo "</select>";
				echo "</td>";
				
				//minimo
				echo "<td class='style1'>";
				echo "<input type='text' name='minimo[]' class='cuadrotexto' size='5' maxlength='10' value='".$fila[4]."'>";
				echo "</td>";
				*/
				
				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons1="SELECT idPresentacion,idPresentacion2 FROM  productos WHERE clave='".$fila[0]."'";
				$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
				$idpresen=mysql_result($res1,0,'idPresentacion');
				$idpresen2=mysql_result($res1,0,'idPresentacion2');

				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presentacion=mysql_result($res2,0,'presentacion');
				
				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				echo $presentacion;
				echo "</td>";	
				
				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				if ($idpresen2 ==0)
				{echo "";}
				else
				{
					$cons22="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen2'";
					$res22=mysql_query($cons22,$conex) or die ("No consulto nombre de presentacion2");
					$presentacion2=mysql_result($res22,0,'presentacion');
					echo $presentacion2; 
				}

				echo "</td>";			

				//PRECIO
				/*
				echo "<td class='style4' align='center'>";
				echo "<input type='text' name='costo[]' class='cuadrotexto' size='6' maxlength='10' value='".$fila[3]."'>";
				echo "</td>";
				*/

				//EXISTENCIAS - CONSULTO LA EXISTENCIA
				$cons4="SELECT existencia FROM  incontables WHERE idProducto='".$fila[0]."' and idClinica='$clini'";
				$res4=mysql_query($cons4,$conex) or die ("No se realizo consulta de existencias incontables");
				$numfilas=mysql_num_rows($res4);
				if($numfilas==0)
				{
					$cons11="INSERT FROM incontables (idProducto,idClinica,existencia) VALUES ('$fila[0]','$clini','0.00')";
					$existe=0;
				}
				else
				{
					$existencia=mysql_result($res4,0,'existencia');
					$existe=$existencia;
				}
				
				echo "<td class='style1' align='center'>";
				echo $existe;
				echo "</td>";
				
				echo "<td class='style4' align='center'>";
				echo "<input type='text' name='existencia[]' class='cuadrotexto' size='6' maxlength='10' value='$existe'>";
				//AGREGARE EL NUEVO INPUT CON LA CLAVE DEL PRODUCTO Y SE CREARA UN NUEVO ARRAY
				echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";
				echo "</td>";

				echo "</tr>";

			}

echo "</table>";





?>

      <input name="clini" type="hidden" id="clini" value="<?php echo $clini; ?>" />

	      <br />

        <table width="1%" border="0" align="center" cellpadding="0" cellspacing="10">

          <tr>

            <td width="46%"><input name="button" type="button" class="boton2" id="button" value="Cancelar" onclick="javascript:history.back()"></td>

            <td width="54%"><input name="Submit" type="submit" class="boton2" value="Guardar cambios" /></td>

          </tr>

        </table>

	  </form>    </td>

  </tr>

</table>
